%define upstream_name    MooseX-FollowPBP
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Names accessors in the I<Perl Best Practices> style
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Moose) >= 1.160.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
This module does not provide any methods. Simply loading it changes the
default naming policy for the loading class so that accessors are separated
into get and set methods. The get methods are prefixed with "get_" as the
accessor, while set methods are prefixed with "set_". This is the naming
style recommended by Damian Conway in _Perl Best Practices_.

If you define an attribute with a leading underscore, then both the get and
set method will also have an underscore prefix.

If you explicitly set a "reader" or "writer" name when creating an
attribute, then that attribute's naming scheme is left unchanged.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.50.0-12.mga10
+ Revision: 2199914
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.50.0-11.mga9
+ Revision: 1804676
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-10.mga8
+ Revision: 1495657
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.50.0-9.mga7
+ Revision: 1269598
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-8.mga6
+ Revision: 1030355
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.50.0-7.mga6
+ Revision: 949479
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.50.0-6.mga5
+ Revision: 789715
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 742648
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 685534
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 513152
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 370176
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 28 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 61485
- update to 0.05

* Thu Jan 20 2011 jquelin <jquelin> 0.40.0-2.mga1
+ Revision: 26657
- mageia rebuild
- imported package perl-MooseX-FollowPBP

